Bug 119003 - OQL Error adding a linked category
OQL Error adding a linked category
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-03-23 14:54 EST by Jon Orris
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 16:53:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-03-23 14:54:13 EST
Description of problem:
@41648/postgres

In CMS, add a new category.
Click 'Add or remove linked categories'
Select a category and click the >> button.

Get error.

Does _not_ happen with pre-loaded CMS categories.


Notice 
An unexpected error has occurred  
 
 
 
An unexpected error has occurred. If this continues to be a problem
for you please contact the administrators of the site quoting the
following:

CCM issue report code: 172.16.64.111:12eabec:fb7940b8e9


-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:12eabec:fb7940b8e9 -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: unable to resolve
variable: lower(url)
{com.arsdigita.categorization.getAllItemURLsForCategory this;} -*-*-*-
-*-*-*- Message 2: java.lang.IllegalArgumentException: unable to
resolve variable: lower(url)
{com.arsdigita.categorization.getAllItemURLsForCategory this;} -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: System properties -*-*-*-
ccm.conf: /var/ccm-devel/web/jorris/rickshaw/conf/registry
ccm.home: /var/ccm-devel/web/jorris/rickshaw
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/usr/share/java/junit.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.jar:/usr/share/java/servletapi4.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/var/ccm-devel/web/jorris/rickshaw/webapps/WEB-INF/system:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/rickshaw/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.21-9.0.1.EL
path.separator: :
resin.home: /var/ccm-devel/web/jorris/rickshaw
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /var/ccm-devel/web/jorris/rickshaw
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true
waf.workflow.simple.alerts_sender: jorris@redhat.com

-*-*-*- Section: Stack trace -*-*-*-
java.lang.IllegalArgumentException: unable to resolve variable: lower(url)
{com.arsdigita.categorization.getAllItemURLsForCategory this;}
	at com.redhat.persistence.oql.Generator.resolve(Generator.java:90)
	at com.redhat.persistence.oql.Variable.frame(Variable.java:25)
	at
com.redhat.persistence.oql.BinaryCondition.frame(BinaryCondition.java:23)
	at com.redhat.persistence.oql.Equals.frame(Equals.java:21)
	at com.redhat.persistence.oql.Filter.frame(Filter.java:36)
	at com.redhat.persistence.oql.Size.frame(Size.java:21)
	at com.redhat.persistence.oql.Query.generate(Query.java:52)
	at com.redhat.persistence.oql.Query.generate(Query.java:45)
	at
com.redhat.persistence.engine.rdbms.ANSIWriter.write(ANSIWriter.java:35)
	at com.redhat.persistence.engine.rdbms.Select.write(Select.java:60)
	at
com.redhat.persistence.engine.rdbms.SQLWriter.write(SQLWriter.java:181)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:437)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:431)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.size(RDBMSEngine.java:276)
	at com.redhat.persistence.DataSet.size(DataSet.java:66)
	at com.arsdigita.persistence.DataQueryImpl.size(DataQueryImpl.java:660)
	at com.arsdigita.cms.ui.CategoryForm.validate(CategoryForm.java:449)
	at com.arsdigita.bebop.FormSection.fireValidate(FormSection.java:377)
	at com.arsdigita.bebop.FormSection$3.validate(FormSection.java:403)
	at com.arsdigita.bebop.FormModel.fireFormValidation(FormModel.java:473)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:370)
	at com.arsdigita.bebop.Page.process(Page.java:714)
	at com.arsdigita.bebop.Page.process(Page.java:686)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:758)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:281)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:296)
	at
_packages._content_22dsection._www._admin._index__jsp._jspService(_index__jsp.java:54)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:171)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:760)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:206)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:190)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:760)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/x-shockwave-flash, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Cache-Control: no-cache
Connection: Keep-Alive
Content-Length: 392
Content-Type: application/x-www-form-urlencoded
Cookie: JSESSIONID=a0IB-Pen0mv7;
ad_user_login=1003!1174679041989!vXZcUyxFG3Yq2SLz4NHy7A==
Host: goodeats.boston.redhat.com:9004
Referer:
http://goodeats.boston.redhat.com:9004/ccm/content/admin/index.jsp?bbp.945.sel=3160&bbp.948.stack=956&bbp.807.d=asc&bbp.820.d=asc&bbp.s=788&g11n.enc=UTF-8&bbp.689.stack=698&bbp.939.sel_context=%3Cdefault%3E&bbp.19.state=+62+&bbp.3.pane=5&bbp.1049.d=asc&bbp.945.state=+63++3160+&bbp.19.sel=62&bbp.i=d0.4.1.4.1.2h.1.b.1.ga.1.1q.1&bbp.1172.sel=207&bbp.69.ps=20
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@84b6b2 = {
m_page = com.arsdigita.cms.ui.ContentSectionPage@17ec442,
m_request = com.caucho.server.http.DispatchRequest@1dbeec0,
m_response = com.caucho.server.http.HttpResponse@f66790,
m_pageState = com.arsdigita.bebop.FormData@10934f9 = {
m_parameterDataValues = {bbp.820.col={null, []}, bbp.1126.sel={null,
[]}, bbp.387.sel={null, []}, bbp.399.sel={null, []}, bbp.1049.o={null,
[]}, bbp.920.sel={null, []}, bbp.684.sel={null, []},
bbp.886.row={null, []}, bbp.433.col={null, []}, bbp.820.mid={null,
[]}, bbp.626.sel={null, []}, bbp.75.col={null, []}, bbp.793.t={null,
[]}, bbp.1137.sel={null, []}, bbp.125.col={null, []},
bbp.28.bid={null, []}, bbp.94.sel={null, []}, bbp.248.sel={null, []},
bbp.1075.sel={null, []}, bbp.75.row={null, []}, bbp.464.col={null,
[]}, bbp.411.sel={null, []}, bbp.945.sel={3160, []},
bbp.807.col={null, []}, bbp.1049.mid={null, []}, bbp.35.fldr={null,
[]}, bbp.276.sel={null, []}, bbp.1148.sel={null, []},
bbp.842.col={null, []}, bbp.28.iid={null, []},
bbp.948.stack={[Ljava.lang.Integer;@174d33f, []}, bbp.93.state={null,
[]}, bbp.807.m={null, []}, page={null, []}, bbp.856.col={null, []},
bbp.177.row={null, []}, bbp.63.srcs={null, []}, bbp.807.d={asc, []},
bbp.820.d={asc, []}, bbp.820.o={null, []}, bbp.s={764, []},
bbp.229.stack={null, []}, bbp.308.row={null, []}, bbp.234.sel={null,
[]}, query={null, []}, bbp.73.sel={null, []},
bbp.698.stack={[Ljava.lang.Integer;@d8fd08, []}, bbp.703.sel={null,
[]}, bbp.1049.col={null, []}, bbp.956.stack={null, []},
g11n.enc={UTF-8, []}, bbp.474.row={null, []}, bbp.418.stack={null,
[]}, bbp.374.stack={null, []}, bbp.1007.sel={null, []},
bbp.689.stack={[Ljava.lang.Integer;@1cc2911, []}, bbp.177.col={null,
[]}, bbp.510.sel={null, []}, bbp.916.ch={null, []},
bbp.939.sel_context={, []}, bbp.19.state={ 62 , []}, bbp.807.o={null,
[]}, single_type={null, []}, bbp.856.row={null, []},
bbp.1159.sel={null, []}, bbp.298.row={null, []}, bbp.363.sel={null,
[]}, bbp.652.sel={null, []}, bbp.220.stack={null, []}, bbp.3.pane={5,
[]}, bbp.780.ch={null, []}, bbp.568.sel={null, []}, bbp.1049.d={asc,
[]}, bbp.550.sel={null, []}, bbp.735.sel={null, []},
bbp.753.sel={null, []}, bbp.341.sel={null, []}, bbp.717.sel={null,
[]}, bbp.1035.row={null, []}, bbp.945.state={ 63  3160 , []},
bbp.886.col={null, []}, bbp.433.row={null, []}, bbp.64.target={null,
[]}, bbp.143.row={null, []}, bbp.580.sel={null, []},
bbp.1200.sel={null, []}, bbp.262.sel={null, []}, bbp.563.stack={null,
[]}, bbp.555.stack={null, []}, bbp.143.col={null, []},
bbp.63.act={null, []}, bbp.464.row={null, []}, bbp.786.sc={null, []},
privs_set={null, []}, bbp.1035.col={null, []}, bbp.542.sel={null, []},
bbp.20.ct={null, []}, bbp.v={null, []}, bbp.e={null, []},
bbp.19.sel={62, []}, bbp.1105.sel={null, []}, bbp.298.col={null, []},
bbp.125.row={null, []}, bbp.86.sel={null, []}, bbp.592.sel={null, []},
bbp.842.row={null, []}, bbp.978.sel={null, []}, bbp.i={{4, 9, 99, 111,
698, 761, 764}, []}, bbp.613.row={null, []}, bbp.474.col={null, []},
bbp.1092.sel={null, []}, bbp.308.col={null, []}, bbp.50.fldr={null,
[]}, bbp.1172.sel={207, []}, bbp.526.sel={null, []},
bbp.382.stack={null, []}, bbp.793.c={null, []}, bbp.319.sel={null,
[]}, bbp.69.ps={20, []}, bbp.613.col={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@9c1e10,
m_locale = en_US,
m_isTransformed = true,
m_isValid = true,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 5, 6, 7, 8, 10, 11, 21, 22, 23, 24, 64, 70, 99, 111,
119, 120, 121, 176, 209, 221, 222, 223, 224, 225, 226, 227, 228, 229,
281, 282, 283, 284, 285, 286, 375, 376, 377, 378, 379, 380, 381, 382,
416, 417, 418, 419, 420, 421, 441, 442, 443, 444, 556, 557, 558, 559,
560, 561, 562, 563, 597, 598, 599, 600, 601, 690, 691, 692, 693, 694,
695, 696, 697, 760, 762, 763, 794, 836, 837, 838, 885, 949, 950, 951,
952, 953, 954, 955, 956, 1012, 1013, 1014, 1015, 1016, 1017, 1018,
1019, 1020, 1021}
}
com.arsdigita.bebop.RequestLocal: {com.arsdigita.bebop.Form$2@eef241=,
com.arsdigita.cms.ui.category.CategoryAdminPane$SelectionRequestLocal@1dc923d=name=Snerk;
oid=[com.arsdigita.categorization.Category:{id=3160}]}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=66}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@d0f4ff
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@82bca2=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 66
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/content/admin/index.jsp?bbp.807.d=asc&free=98&bbp.3.pane=5&bbp.1049.d=asc&bbp.820.d=asc&form.LinkForm=visited&bbp.19.sel=62&bbp.s=764&bbp.698.stack=764&bbp.945.state=+63++3160+&g11n.enc=UTF-8&bbp.945.sel=3160&bbp.i=d0.4.1.4.1.2h.1.b.1.ga.1.1q.1.2.1&bbp.689.stack=698&bbp.939.sel_context=%3Cdefault%3E&bbp.948.stack=956&bbp.1172.sel=207&assign=%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0%3E%3E%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0&bbp.19.state=+62+&bbp.69.ps=20
xmlMode: false

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/content/admin/index.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: a0IB-Pen0mv7 (expires: -1)
ad_user_login: 1003!1174679041989!vXZcUyxFG3Yq2SLz4NHy7A== (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Jon Orris 2004-03-23 14:55:17 EST
Should note this is on trunk, not test-qgen.
Comment 2 Archit Shah 2004-03-24 01:01:26 EST
candidate fix at 41688
Comment 3 Jon Orris 2004-03-29 16:53:58 EST
verified

Note You need to log in before you can comment on or make changes to this bug.